package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.Departemen;
import com.jasamedika.medifirst2000.entities.JenisProduk;
import com.jasamedika.medifirst2000.entities.Kelas;
import com.jasamedika.medifirst2000.entities.Pegawai;
import com.jasamedika.medifirst2000.entities.Ruangan;
import com.jasamedika.medifirst2000.helper.Caption;

public class FasilitasMVO extends BaseMasterVO {

	@Caption(value = "Kode Fasilitas")
	private Byte kdFasilitas;

	@Caption(value = "Nama Fasilitas")
	private String namaFasilitas;

	@Caption(value = "Report Fasilitas")
	private String reportFasilitas;

	@Caption(value = "Deskripsi Detail Fasilitas")
	private String deskirpsiDetailFasilitas;

	@Caption(value = "Path File Gambar 1")
	private String pathFileGambar1;

	@Caption(value = "Path File Gambar 2")
	private String pathFileGambar2;

	@Caption(value = "Path File Gambar 3")
	private String pathFileGambar3;

	@Caption(value = "Path File Gambar 4")
	private String pathFileGambar4;

	@Caption(value = "File Gambar 1")
	private String fileGambar1;

	@Caption(value = "File Gambar 2")
	private String fileGambar2;

	@Caption(value = "File Gambar 3")
	private String fileGambar3;

	@Caption(value = "Kode Fasilitas Head")
	private Byte kdFasilitasHead;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Kode Jenis Produk")
	private JenisProdukVO kdJenisProduk;

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Kode Pegawai Jawab")
	private PegawaiVO kdPegawaiPJawab;

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Kode Ruangan")
	private RuanganVO kdRuangan;

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Kode Kelas")
	private KelasVO kdKelas;

	@Caption(value = "Qty Fasilitas")
	private Integer qtyFasilitas;

	@Caption(value = "Keterangan Lainnya")
	private String keteranganLainnya;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Kode Departemen")
	private DepartemenVO kdDepartemen;
/*
	@Caption(value = "Kode External")
	private String kodeExternal;
	
	@Caption(value = "Nama External")
	private String namaExternal;
*/
	public Byte getKdFasilitas() {
		return kdFasilitas;
	}

	public void setKdFasilitas(Byte kdFasilitas) {
		this.kdFasilitas = kdFasilitas;
	}

	public String getNamaFasilitas() {
		return namaFasilitas;
	}

	public void setNamaFasilitas(String namaFasilitas) {
		this.namaFasilitas = namaFasilitas;
	}

	public String getReportFasilitas() {
		return reportFasilitas;
	}

	public void setReportFasilitas(String reportFasilitas) {
		this.reportFasilitas = reportFasilitas;
	}

	public String getDeskirpsiDetailFasilitas() {
		return deskirpsiDetailFasilitas;
	}

	public void setDeskirpsiDetailFasilitas(String deskirpsiDetailFasilitas) {
		this.deskirpsiDetailFasilitas = deskirpsiDetailFasilitas;
	}

	public String getPathFileGambar1() {
		return pathFileGambar1;
	}

	public void setPathFileGambar1(String pathFileGambar1) {
		this.pathFileGambar1 = pathFileGambar1;
	}

	public String getPathFileGambar2() {
		return pathFileGambar2;
	}

	public void setPathFileGambar2(String pathFileGambar2) {
		this.pathFileGambar2 = pathFileGambar2;
	}

	public String getPathFileGambar3() {
		return pathFileGambar3;
	}

	public void setPathFileGambar3(String pathFileGambar3) {
		this.pathFileGambar3 = pathFileGambar3;
	}

	public String getPathFileGambar4() {
		return pathFileGambar4;
	}

	public void setPathFileGambar4(String pathFileGambar4) {
		this.pathFileGambar4 = pathFileGambar4;
	}

	public String getFileGambar1() {
		return fileGambar1;
	}

	public void setFileGambar1(String fileGambar1) {
		this.fileGambar1 = fileGambar1;
	}

	public String getFileGambar2() {
		return fileGambar2;
	}

	public void setFileGambar2(String fileGambar2) {
		this.fileGambar2 = fileGambar2;
	}

	public String getFileGambar3() {
		return fileGambar3;
	}

	public void setFileGambar3(String fileGambar3) {
		this.fileGambar3 = fileGambar3;
	}

	public Byte getKdFasilitasHead() {
		return kdFasilitasHead;
	}

	public void setKdFasilitasHead(Byte kdFasilitasHead) {
		this.kdFasilitasHead = kdFasilitasHead;
	}

	public JenisProdukVO getKdJenisProduk() {
		return kdJenisProduk;
	}

	public void setKdJenisProduk(JenisProdukVO kdJenisProduk) {
		this.kdJenisProduk = kdJenisProduk;
	}

	public PegawaiVO getKdPegawaiPJawab() {
		return kdPegawaiPJawab;
	}

	public void setKdPegawaiPJawab(PegawaiVO kdPegawaiPJawab) {
		this.kdPegawaiPJawab = kdPegawaiPJawab;
	}

	public RuanganVO getKdRuangan() {
		return kdRuangan;
	}

	public void setKdRuangan(RuanganVO kdRuangan) {
		this.kdRuangan = kdRuangan;
	}

	public KelasVO getKdKelas() {
		return kdKelas;
	}

	public void setKdKelas(KelasVO kdKelas) {
		this.kdKelas = kdKelas;
	}

	public Integer getQtyFasilitas() {
		return qtyFasilitas;
	}

	public void setQtyFasilitas(Integer qtyFasilitas) {
		this.qtyFasilitas = qtyFasilitas;
	}

	public String getKeteranganLainnya() {
		return keteranganLainnya;
	}

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}

	public DepartemenVO getKdDepartemen() {
		return kdDepartemen;
	}

	public void setKdDepartemen(DepartemenVO kdDepartemen) {
		this.kdDepartemen = kdDepartemen;
	}
/*
	public String getKodeExternal() {
		return kodeExternal;
	}

	public void setKodeExternal(String kodeExternal) {
		this.kodeExternal = kodeExternal;
	}

	public String getNamaExternal() {
		return namaExternal;
	}

	public void setNamaExternal(String namaExternal) {
		this.namaExternal = namaExternal;
	}
*/
	

}
